package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmLvLedgerForm extends HrmBaseForm {
  private String employeeNo;
  
  private String employeeName;
  
  private String leaveCode;
  
  private String leaveDescription;
  
  private String employeeNumberId;
  
  private String leaveTypeId;
  
  private String[] txtleaveTypes;
  
  private String[] txtCreditDate;
  
  private String[] txtOpeningBalance;
  
  private String[] txtLeavesCredited;
  
  private String[] txtLeavesTaken;
  
  private String[] txtLeavesEncashed;
  
  private String[] txtLeaveBalance;
  
  private String[] txtLeavesPending;
  
  private String[] txtApplicationDate;
  
  private String[] txtAction;
  
  private String[] txtFromDate;
  
  private String[] txtNoOfDays;
  
  private String[] txtToDate;
  
  private String[] txtPayrollMonth;
  
  private String selectAll;
  
  private ArrayList arylstLvLedger = new ArrayList();
  
  private ArrayList arylstLvLedgerTrans = new ArrayList();
  
  private String hdnDetailId;
  
  private String leavesType;
  
  private String leavesTaken;
  
  private String leavesEncashed;
  
  private String disabemployeeNo;
  
  private String disabemployeeName;
  
  private String disableaveCode;
  
  private String disableaveDescription;
  
  private String butEmployeeNo;
  
  private String butLeaveCode;
  
  private String disabbutLeaveCode;
  
  private String disabbutEmployeeNo;
  
  private String disabtxtleaveTypes;
  
  private String disabtxtCreditDate;
  
  private String disabtxtOpeningBalance;
  
  private String disabtxtLeavesCredited;
  
  private String disabtxtLeavesTaken;
  
  private String disabtxtLeavesEncashed;
  
  private String disabtxtLeaveBalance;
  
  private String disabtxtApplicationDate;
  
  private String disabtxtAction;
  
  private String disabtxtFromDate;
  
  private String disabtxtNoOfDays;
  
  private String disabtxtToDate;
  
  private String disabtxtPayrollMonth;
  
  String disabbutGetDtl2;
  
  String butExecute;
  
  String disabbutExecute;
  
  String butGetDtl2;
  
  private String groupId;
  
  private String butEmpCode;
  
  private String disabbutEmpCode;
  
  private String employeeNoId;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getLeaveCode() {
    return this.leaveCode;
  }
  
  public void setLeaveCode(String newLeaveCode) {
    this.leaveCode = newLeaveCode;
  }
  
  public String[] getTxtleaveTypes() {
    return this.txtleaveTypes;
  }
  
  public String[] getTxtCreditDate() {
    return this.txtCreditDate;
  }
  
  public String[] getTxtOpeningBalance() {
    return this.txtOpeningBalance;
  }
  
  public String[] getTxtLeavesCredited() {
    return this.txtLeavesCredited;
  }
  
  public String[] getTxtLeavesTaken() {
    return this.txtLeavesTaken;
  }
  
  public String[] getTxtLeavesEncashed() {
    return this.txtLeavesEncashed;
  }
  
  public String[] getTxtLeaveBalance() {
    return this.txtLeaveBalance;
  }
  
  public String[] getTxtApplicationDate() {
    return this.txtApplicationDate;
  }
  
  public String[] getTxtAction() {
    return this.txtAction;
  }
  
  public String[] getTxtFromDate() {
    return this.txtFromDate;
  }
  
  public String[] getTxtNoOfDays() {
    return this.txtNoOfDays;
  }
  
  public String[] getTxtToDate() {
    return this.txtToDate;
  }
  
  public String[] getTxtPayrollMonth() {
    return this.txtPayrollMonth;
  }
  
  public void setTxtAction(String[] newTxtAction) {
    this.txtAction = newTxtAction;
  }
  
  public void setTxtApplicationDate(String[] newTxtApplicationDate) {
    this.txtApplicationDate = newTxtApplicationDate;
  }
  
  public void setTxtCreditDate(String[] newTxtCreditDate) {
    this.txtCreditDate = newTxtCreditDate;
  }
  
  public void setTxtFromDate(String[] newTxtFromDate) {
    this.txtFromDate = newTxtFromDate;
  }
  
  public void setTxtLeaveBalance(String[] newTxtLeaveBalance) {
    this.txtLeaveBalance = newTxtLeaveBalance;
  }
  
  public void setTxtLeavesCredited(String[] newTxtLeavesCredited) {
    this.txtLeavesCredited = newTxtLeavesCredited;
  }
  
  public void setTxtLeavesEncashed(String[] newTxtLeavesEncashed) {
    this.txtLeavesEncashed = newTxtLeavesEncashed;
  }
  
  public void setTxtLeavesTaken(String[] newTxtLeavesTaken) {
    this.txtLeavesTaken = newTxtLeavesTaken;
  }
  
  public void setTxtNoOfDays(String[] newTxtNoOfDays) {
    this.txtNoOfDays = newTxtNoOfDays;
  }
  
  public void setTxtOpeningBalance(String[] newTxtOpeningBalance) {
    this.txtOpeningBalance = newTxtOpeningBalance;
  }
  
  public void setTxtPayrollMonth(String[] newTxtPayrollMonth) {
    this.txtPayrollMonth = newTxtPayrollMonth;
  }
  
  public void setTxtToDate(String[] newTxtToDate) {
    this.txtToDate = newTxtToDate;
  }
  
  public void setTxtleaveTypes(String[] newTxtleaveTypes) {
    this.txtleaveTypes = newTxtleaveTypes;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getLeaveDescription() {
    return this.leaveDescription;
  }
  
  public void setLeaveDescription(String newLeaveDescription) {
    this.leaveDescription = newLeaveDescription;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getEmployeeNumberId() {
    return this.employeeNumberId;
  }
  
  public void setEmployeeNumberId(String newEmployeeNumberId) {
    this.employeeNumberId = newEmployeeNumberId;
  }
  
  public String getLeaveTypeId() {
    return this.leaveTypeId;
  }
  
  public void setLeaveTypeId(String newLeaveTypeId) {
    this.leaveTypeId = newLeaveTypeId;
  }
  
  public String getHdnDetailId() {
    return this.hdnDetailId;
  }
  
  public void setHdnDetailId(String newHdnDetailId) {
    this.hdnDetailId = newHdnDetailId;
  }
  
  public String getLeavesType() {
    return this.leavesType;
  }
  
  public void setLeavesType(String newLeavesType) {
    this.leavesType = newLeavesType;
  }
  
  public String getLeavesTaken() {
    return this.leavesTaken;
  }
  
  public void setLeavesTaken(String newLeavesTaken) {
    this.leavesTaken = newLeavesTaken;
  }
  
  public String getLeavesEncashed() {
    return this.leavesEncashed;
  }
  
  public void setLeavesEncashed(String newLeavesEncashed) {
    this.leavesEncashed = newLeavesEncashed;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public String getDisableaveCode() {
    return this.disableaveCode;
  }
  
  public void setDisableaveCode(String newDisableaveCode) {
    this.disableaveCode = newDisableaveCode;
  }
  
  public String getDisableaveDescription() {
    return this.disableaveDescription;
  }
  
  public void setDisableaveDescription(String newDisableaveDescription) {
    this.disableaveDescription = newDisableaveDescription;
  }
  
  public String getButEmployeeNo() {
    return this.butEmployeeNo;
  }
  
  public void setButEmployeeNo(String newButEmployeeNo) {
    this.butEmployeeNo = newButEmployeeNo;
  }
  
  public String getButLeaveCode() {
    return this.butLeaveCode;
  }
  
  public void setButLeaveCode(String newButLeaveCode) {
    this.butLeaveCode = newButLeaveCode;
  }
  
  public String getDisabbutLeaveCode() {
    return this.disabbutLeaveCode;
  }
  
  public void setDisabbutLeaveCode(String newDisabbutLeaveCode) {
    this.disabbutLeaveCode = newDisabbutLeaveCode;
  }
  
  public String getDisabbutEmployeeNo() {
    return this.disabbutEmployeeNo;
  }
  
  public void setDisabbutEmployeeNo(String newDisabbutEmployeeNo) {
    this.disabbutEmployeeNo = newDisabbutEmployeeNo;
  }
  
  public String getDisabtxtleaveTypes() {
    return this.disabtxtleaveTypes;
  }
  
  public void setDisabtxtleaveTypes(String newDisabtxtleaveTypes) {
    this.disabtxtleaveTypes = newDisabtxtleaveTypes;
  }
  
  public String getDisabtxtCreditDate() {
    return this.disabtxtCreditDate;
  }
  
  public void setDisabtxtCreditDate(String newDisabtxtCreditDate) {
    this.disabtxtCreditDate = newDisabtxtCreditDate;
  }
  
  public String getDisabtxtOpeningBalance() {
    return this.disabtxtOpeningBalance;
  }
  
  public void setDisabtxtOpeningBalance(String newDisabtxtOpeningBalance) {
    this.disabtxtOpeningBalance = newDisabtxtOpeningBalance;
  }
  
  public String getDisabtxtLeavesCredited() {
    return this.disabtxtLeavesCredited;
  }
  
  public void setDisabtxtLeavesCredited(String newDisabtxtLeavesCredited) {
    this.disabtxtLeavesCredited = newDisabtxtLeavesCredited;
  }
  
  public String getDisabtxtLeavesTaken() {
    return this.disabtxtLeavesTaken;
  }
  
  public void setDisabtxtLeavesTaken(String newDisabtxtLeavesTaken) {
    this.disabtxtLeavesTaken = newDisabtxtLeavesTaken;
  }
  
  public String getDisabtxtLeavesEncashed() {
    return this.disabtxtLeavesEncashed;
  }
  
  public void setDisabtxtLeavesEncashed(String newDisabtxtLeavesEncashed) {
    this.disabtxtLeavesEncashed = newDisabtxtLeavesEncashed;
  }
  
  public String getDisabtxtLeaveBalance() {
    return this.disabtxtLeaveBalance;
  }
  
  public void setDisabtxtLeaveBalance(String newDisabtxtLeaveBalance) {
    this.disabtxtLeaveBalance = newDisabtxtLeaveBalance;
  }
  
  public String getDisabtxtApplicationDate() {
    return this.disabtxtApplicationDate;
  }
  
  public void setDisabtxtApplicationDate(String newDisabtxtApplicationDate) {
    this.disabtxtApplicationDate = newDisabtxtApplicationDate;
  }
  
  public String getDisabtxtAction() {
    return this.disabtxtAction;
  }
  
  public void setDisabtxtAction(String newDisabtxtAction) {
    this.disabtxtAction = newDisabtxtAction;
  }
  
  public String getDisabtxtFromDate() {
    return this.disabtxtFromDate;
  }
  
  public void setDisabtxtFromDate(String newDisabtxtFromDate) {
    this.disabtxtFromDate = newDisabtxtFromDate;
  }
  
  public String getDisabtxtNoOfDays() {
    return this.disabtxtNoOfDays;
  }
  
  public void setDisabtxtNoOfDays(String newDisabtxtNoOfDays) {
    this.disabtxtNoOfDays = newDisabtxtNoOfDays;
  }
  
  public String getDisabtxtToDate() {
    return this.disabtxtToDate;
  }
  
  public void setDisabtxtToDate(String newDisabtxtToDate) {
    this.disabtxtToDate = newDisabtxtToDate;
  }
  
  public String getDisabtxtPayrollMonth() {
    return this.disabtxtPayrollMonth;
  }
  
  public void setDisabtxtPayrollMonth(String newDisabtxtPayrollMonth) {
    this.disabtxtPayrollMonth = newDisabtxtPayrollMonth;
  }
  
  public ArrayList getArylstLvLedger() {
    return this.arylstLvLedger;
  }
  
  public void setArylstLvLedger(ArrayList newArylstLvLedger) {
    this.arylstLvLedger = newArylstLvLedger;
  }
  
  public ArrayList getArylstLvLedgerTrans() {
    return this.arylstLvLedgerTrans;
  }
  
  public void setArylstLvLedgerTrans(ArrayList newArylstLvLedgerTrans) {
    this.arylstLvLedgerTrans = newArylstLvLedgerTrans;
  }
  
  public String getDisabbutGetDtl2() {
    return this.disabbutGetDtl2;
  }
  
  public void setDisabbutGetDtl2(String newDisabbutGetDtl2) {
    this.disabbutGetDtl2 = newDisabbutGetDtl2;
  }
  
  public String getButExecute() {
    return this.butExecute;
  }
  
  public void setButExecute(String newButExecute) {
    this.butExecute = newButExecute;
  }
  
  public String getDisabbutExecute() {
    return this.disabbutExecute;
  }
  
  public void setDisabbutExecute(String newDisabbutExecute) {
    this.disabbutExecute = newDisabbutExecute;
  }
  
  public String getButGetDtl2() {
    return this.butGetDtl2;
  }
  
  public void setButGetDtl2(String newButGetDtl2) {
    this.butGetDtl2 = newButGetDtl2;
  }
  
  public String getGroupId() {
    return this.groupId;
  }
  
  public void setGroupId(String newGroupId) {
    this.groupId = newGroupId;
  }
  
  public String getButEmpCode() {
    return this.butEmpCode;
  }
  
  public void setButEmpCode(String newButEmpCode) {
    this.butEmpCode = newButEmpCode;
  }
  
  public String getDisabbutEmpCode() {
    return this.disabbutEmpCode;
  }
  
  public void setDisabbutEmpCode(String newDisabbutEmpCode) {
    this.disabbutEmpCode = newDisabbutEmpCode;
  }
  
  public String getEmployeeNoId() {
    return this.employeeNoId;
  }
  
  public void setEmployeeNoId(String newEmployeeNoId) {
    this.employeeNoId = newEmployeeNoId;
  }
  
  public String[] getTxtLeavesPending() {
    return this.txtLeavesPending;
  }
  
  public void setTxtLeavesPending(String[] newTxtLeavesPending) {
    this.txtLeavesPending = newTxtLeavesPending;
  }
}
